// Inicializace LED připojených k PWM pinům
int red =   3;
int green = 5;
int blue =  6;
int irda =  9;

// PWM signál s rozsahem hodnot 0 - 255
// Defaultně nastaveno na 0, nastavení jasu probíha procentuálně
int jas_red =   0; 
int jas_blue =  0;
int jas_green = 0;
int jas_irda =  0;

// Nastevení jasu 0 - 100 %
int proc_red =    0;
int proc_blue =   0;
int proc_green =  10;
int proc_irda =   0;

void setup() {
  
    pinMode(red, OUTPUT);
    pinMode(blue, OUTPUT); 
    pinMode(green, OUTPUT);
    pinMode(irda, OUTPUT);

}

void loop() {
  
// red odpovídá pinu 3; jas_red obsahuje po přepočtu nastavenou 
// procentuální hodnotu jasu  
    analogWrite(red, jas_red);  
    
// Přepočet na procentuální hodnoty jasu    
    if (proc_red > 100) {
        proc_red = 100;
        jas_red = (255 * proc_red) / 100; }
    else {
        jas_red = (255 * proc_red) / 100; }
    

    analogWrite(blue, jas_blue);

    if (proc_blue > 100) {
        proc_blue = 100;
        jas_blue = (255 * proc_blue) / 100; }
    else {
        jas_blue = (255 * proc_blue) / 100; }


    analogWrite(green, jas_green);
    
    if (proc_green > 100) {
        proc_green = 100;
        jas_green = (255 * proc_green) / 100; }
    else {
        jas_green = (255 * proc_green) / 100; }
    

    analogWrite(irda, jas_irda);

    if (proc_irda > 100) {
        proc_irda = 100;
        jas_irda = (255 * proc_irda) / 100; }
    else {
        jas_irda = (255 * proc_irda) / 100; }
        
}
